This URL deletes the allowed fingerprints imported in the Manager.
Resource URL
DELETE /domain/<domain_id>/filereputation/allowedfingerprintsRequest Parameters
URL Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| domain_id | Domain id | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| status | Status returned by deletion | Number |
Example
Request
DELETE https://%3CNSM_IP%3E/sdkapi/domain/0/filereputation/allowedfingerprints
Response
{
"status":1
}
Error Information
Following error codes are returned by this URL:| S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 400 | 1105 | Invalid domain |
| 2 | 400 | 2801 | No custom finger prints to delete |